```nohighlight
\
/    /\__/\
\__=(  o_O )=
(__________)
 |_ |_ |_ |_
```

## CAT-SOOP

* Web Site: <https://catsoop.org>
* IRC: `#catsoop` on OFTC (`irc.oftc.net`)
* Mailing List: [catsoop-users@mit.edu](mailto:catsoop-users@mit.edu)
  (subscribe at <http://mailman.mit.edu/mailman/listinfo/catsoop-users>)


CAT-SOOP is a flexible, programmable learning management system originally
developed primarily for use in MIT's 6.01 (Introduction to Electrical
Engineering and Computer Science via Robotics).

CAT-SOOP is free/libre software, available under the terms of the GNU Affero
General Public License, version 3+.  Please note that the terms of this license
apply to the CAT-SOOP system itself and any plugins in use, but not to any
course material hosted on a CAT-SOOP instance, unless explicitly stated
otherwise.


### INSTALLING

To install, run:
```nohighlight
$ pip3 install catsoop
```

Or, from a clone of the repository, run:
```nohighlight
$ python3 setup.py install
```

To generate a config.py file, run:
```nohighlight
$ catsoop configure
```

If you are setting up a public-facing copy of CAT-SOOP (as opposed to a local
copy for debugging purposes), see the instructions at
<https://catsoop.org/website/docs/installing/server_configuration>

To start the server, run:
```nohighlight
$ catsoop start
```

To run all the unit tests:
```nohighlight
$ python3 setup.py test
```


### HACKING

See <https://catsoop.org/website/docs/contributing/hacking>


### INCLUDED SOFTWARE

CAT-SOOP incorporates pieces of third-party software.  Licensing information
for the original programs is available in the `LICENSE.included_software` file.
The CAT-SOOP distribution also includes several pieces of third-party software.
Licensing information for these programs is included in this distribution, in
the `LICENSE.bundled_software` file.
